/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.pepo.controllers;

import java.util.List;
import javax.annotation.Resource;
import javax.ejb.Stateless;
import javax.ejb.LocalBean;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.transaction.UserTransaction;
import org.pepo.entities.psql.Actions;
import org.pepo.entities.psql.Requests;

/**
 *
 * @author pepo
 */
@TransactionManagement(TransactionManagementType.BEAN)
@Stateless
@LocalBean
public class Controller {

    @PersistenceContext(unitName = "Psql-ejbPU")
    private EntityManager em;
    @Resource
    private UserTransaction ut;

    public List<Requests> getRequests() {
        return em.createNamedQuery("Requests.status_S").getResultList();
    }

    public void persist(Object object) {
        em.persist(object);
    }

    public void setAction(Requests vReq) {
        Actions action = new Actions();
        action.setCodeRequest(vReq);
        action.setName(vReq.getName());
        action.setValue(vReq.getValue());
        em.persist(action);
    }
}
